Package io.dapr.v1

# Class CommonProtos.HTTPExtension

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
io.dapr.v1.CommonProtos.HTTPExtension

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `CommonProtos.HTTPExtensionOrBuilder`, `java.io.Serializable`

Enclosing class:
  CommonProtos

    public static final class CommonProtos.HTTPExtension
    extends com.google.protobuf.GeneratedMessageV3
    implements CommonProtos.HTTPExtensionOrBuilder

     HTTPExtension includes HTTP verb and querystring
     when Dapr runtime delivers HTTP content.

     For example, when callers calls http invoke api
     POST http://localhost:3500/v1.0/invoke/<app_id>/method/<method>?query1=value1&query2=value2

     Dapr runtime will parse POST as a verb and extract querystring to quersytring map.

Protobuf type `dapr.proto.common.v1.HTTPExtension`

See Also:
  Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `CommonProtos.HTTPExtension.Builder` | HTTPExtension includes HTTP verb and querystring when Dapr runtime delivers HTTP content.
  `static class` | `CommonProtos.HTTPExtension.Verb` | Type of HTTP 1.1 Methods RFC 7231: https://tools.ietf.org/html/rfc7231#page-24

  ## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

  `com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

  ## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

  `com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `QUERYSTRING_FIELD_NUMBER` |
  `static int` | `VERB_FIELD_NUMBER` |

  ### Fields inherited from class com.google.protobuf.GeneratedMessageV3

  `alwaysUseFieldBuilders, unknownFields`

  ### Fields inherited from class com.google.protobuf.AbstractMessage

  `memoizedSize`

  ### Fields inherited from class com.google.protobuf.AbstractMessageLite

  `memoizedHashCode`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `containsQuerystring​(java.lang.String key)` | querystring includes HTTP querystring.
  `boolean` | `equals​(java.lang.Object obj)` |
  `static CommonProtos.HTTPExtension` | `getDefaultInstance()` |
  `CommonProtos.HTTPExtension` | `getDefaultInstanceForType()` |
  `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
  `com.google.protobuf.Parser<CommonProtos.HTTPExtension>` | `getParserForType()` |
  `java.util.Map<java.lang.String,​java.lang.String>` | `getQuerystring()` | Deprecated.
  `int` | `getQuerystringCount()` | querystring includes HTTP querystring.
  `java.util.Map<java.lang.String,​java.lang.String>` | `getQuerystringMap()` | querystring includes HTTP querystring.
  `java.lang.String` | `getQuerystringOrDefault​(java.lang.String key, java.lang.String defaultValue)` | querystring includes HTTP querystring.
  `java.lang.String` | `getQuerystringOrThrow​(java.lang.String key)` | querystring includes HTTP querystring.
  `int` | `getSerializedSize()` |
  `com.google.protobuf.UnknownFieldSet` | `getUnknownFields()` |
  `CommonProtos.HTTPExtension.Verb` | `getVerb()` | Required.
  `int` | `getVerbValue()` | Required.
  `int` | `hashCode()` |
  `protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
  `protected com.google.protobuf.MapField` | `internalGetMapField​(int number)` |
  `boolean` | `isInitialized()` |
  `static CommonProtos.HTTPExtension.Builder` | `newBuilder()` |
  `static CommonProtos.HTTPExtension.Builder` | `newBuilder​(CommonProtos.HTTPExtension prototype)` |
  `CommonProtos.HTTPExtension.Builder` | `newBuilderForType()` |
  `protected CommonProtos.HTTPExtension.Builder` | `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)` |
  `protected java.lang.Object` | `newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)` |
  `static CommonProtos.HTTPExtension` | `parseDelimitedFrom​(java.io.InputStream input)` |
  `static CommonProtos.HTTPExtension` | `parseDelimitedFrom​(java.io.InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
  `static CommonProtos.HTTPExtension` | `parseFrom​(byte[] data)` |
  `static CommonProtos.HTTPExtension` | `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
  `static CommonProtos.HTTPExtension` | `parseFrom​(com.google.protobuf.ByteString data)` |
  `static CommonProtos.HTTPExtension` | `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
  `static CommonProtos.HTTPExtension` | `parseFrom​(com.google.protobuf.CodedInputStream input)` |
  `static CommonProtos.HTTPExtension` | `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
  `static CommonProtos.HTTPExtension` | `parseFrom​(java.io.InputStream input)` |
  `static CommonProtos.HTTPExtension` | `parseFrom​(java.io.InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
  `static CommonProtos.HTTPExtension` | `parseFrom​(java.nio.ByteBuffer data)` |
  `static CommonProtos.HTTPExtension` | `parseFrom​(java.nio.ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
  `static com.google.protobuf.Parser<CommonProtos.HTTPExtension>` | `parser()` |
  `CommonProtos.HTTPExtension.Builder` | `toBuilder()` |
  `void` | `writeTo​(com.google.protobuf.CodedOutputStream output)` |

  ### Methods inherited from class com.google.protobuf.GeneratedMessageV3

  `canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

  ### Methods inherited from class com.google.protobuf.AbstractMessage

  `findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

  ### Methods inherited from class com.google.protobuf.AbstractMessageLite

  `addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.protobuf.MessageLite

  `toByteArray, toByteString, writeDelimitedTo, writeTo`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

- ## Field Details

  - ### VERB_FIELD_NUMBER

    public static final int VERB_FIELD_NUMBER
    See Also:
      Constant Field Values

  - ### QUERYSTRING_FIELD_NUMBER

    public static final int QUERYSTRING_FIELD_NUMBER
    See Also:
      Constant Field Values

- ## Method Details

  - ### newInstance

    protected java.lang.Object newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)
    Overrides:
      `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

  - ### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()
    Specified by:
      `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
    Overrides:
      `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

  - ### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetMapField

    protected com.google.protobuf.MapField internalGetMapField​(int number)
    Overrides:
      `internalGetMapField` in class `com.google.protobuf.GeneratedMessageV3`

  - ### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

  - ### getVerbValue

    public int getVerbValue()

         Required. HTTP verb.

    `.dapr.proto.common.v1.HTTPExtension.Verb verb = 1;`
    Specified by:
      `getVerbValue` in interface `CommonProtos.HTTPExtensionOrBuilder`
    Returns:
      The enum numeric value on the wire for verb.

  - ### getVerb

    public CommonProtos.HTTPExtension.Verb getVerb()

         Required. HTTP verb.

    `.dapr.proto.common.v1.HTTPExtension.Verb verb = 1;`
    Specified by:
      `getVerb` in interface `CommonProtos.HTTPExtensionOrBuilder`
    Returns:
      The verb.

  - ### getQuerystringCount

    public int getQuerystringCount()
    Description copied from interface: `CommonProtos.HTTPExtensionOrBuilder`

         querystring includes HTTP querystring.

    `map<string, string> querystring = 2;`
    Specified by:
      `getQuerystringCount` in interface `CommonProtos.HTTPExtensionOrBuilder`

  - ### containsQuerystring

    public boolean containsQuerystring​(java.lang.String key)

         querystring includes HTTP querystring.

    `map<string, string> querystring = 2;`
    Specified by:
      `containsQuerystring` in interface `CommonProtos.HTTPExtensionOrBuilder`

  - ### getQuerystring

    @Deprecated public java.util.Map<java.lang.String,​java.lang.String> getQuerystring()
    Deprecated.
    Use `getQuerystringMap()` instead.
    Specified by:
      `getQuerystring` in interface `CommonProtos.HTTPExtensionOrBuilder`

  - ### getQuerystringMap

    public java.util.Map<java.lang.String,​java.lang.String> getQuerystringMap()

         querystring includes HTTP querystring.

    `map<string, string> querystring = 2;`
    Specified by:
      `getQuerystringMap` in interface `CommonProtos.HTTPExtensionOrBuilder`

  - ### getQuerystringOrDefault

    public java.lang.String getQuerystringOrDefault​(java.lang.String key, java.lang.String defaultValue)

         querystring includes HTTP querystring.

    `map<string, string> querystring = 2;`
    Specified by:
      `getQuerystringOrDefault` in interface `CommonProtos.HTTPExtensionOrBuilder`

  - ### getQuerystringOrThrow

    public java.lang.String getQuerystringOrThrow​(java.lang.String key)

         querystring includes HTTP querystring.

    `map<string, string> querystring = 2;`
    Specified by:
      `getQuerystringOrThrow` in interface `CommonProtos.HTTPExtensionOrBuilder`

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

  - ### writeTo

    public void writeTo​(com.google.protobuf.CodedOutputStream output) throws java.io.IOException
    Specified by:
      `writeTo` in interface `com.google.protobuf.MessageLite`
    Overrides:
      `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
    Throws:
      `java.io.IOException`

  - ### getSerializedSize

    public int getSerializedSize()
    Specified by:
      `getSerializedSize` in interface `com.google.protobuf.MessageLite`
    Overrides:
      `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

  - ### equals

    public boolean equals​(java.lang.Object obj)
    Specified by:
      `equals` in interface `com.google.protobuf.Message`
    Overrides:
      `equals` in class `com.google.protobuf.AbstractMessage`

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in interface `com.google.protobuf.Message`
    Overrides:
      `hashCode` in class `com.google.protobuf.AbstractMessage`

  - ### parseFrom

    public static CommonProtos.HTTPExtension parseFrom​(java.nio.ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static CommonProtos.HTTPExtension parseFrom​(java.nio.ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static CommonProtos.HTTPExtension parseFrom​(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static CommonProtos.HTTPExtension parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static CommonProtos.HTTPExtension parseFrom​(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static CommonProtos.HTTPExtension parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static CommonProtos.HTTPExtension parseFrom​(java.io.InputStream input) throws java.io.IOException
    Throws:
      `java.io.IOException`

  - ### parseFrom

    public static CommonProtos.HTTPExtension parseFrom​(java.io.InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws java.io.IOException
    Throws:
      `java.io.IOException`

  - ### parseDelimitedFrom

    public static CommonProtos.HTTPExtension parseDelimitedFrom​(java.io.InputStream input) throws java.io.IOException
    Throws:
      `java.io.IOException`

  - ### parseDelimitedFrom

    public static CommonProtos.HTTPExtension parseDelimitedFrom​(java.io.InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws java.io.IOException
    Throws:
      `java.io.IOException`

  - ### parseFrom

    public static CommonProtos.HTTPExtension parseFrom​(com.google.protobuf.CodedInputStream input) throws java.io.IOException
    Throws:
      `java.io.IOException`

  - ### parseFrom

    public static CommonProtos.HTTPExtension parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws java.io.IOException
    Throws:
      `java.io.IOException`

  - ### newBuilderForType

    public CommonProtos.HTTPExtension.Builder newBuilderForType()
    Specified by:
      `newBuilderForType` in interface `com.google.protobuf.Message`
    Specified by:
      `newBuilderForType` in interface `com.google.protobuf.MessageLite`

  - ### newBuilder

    public static CommonProtos.HTTPExtension.Builder newBuilder()

  - ### newBuilder

    public static CommonProtos.HTTPExtension.Builder newBuilder​(CommonProtos.HTTPExtension prototype)

  - ### toBuilder

    public CommonProtos.HTTPExtension.Builder toBuilder()
    Specified by:
      `toBuilder` in interface `com.google.protobuf.Message`
    Specified by:
      `toBuilder` in interface `com.google.protobuf.MessageLite`

  - ### newBuilderForType

    protected CommonProtos.HTTPExtension.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)
    Specified by:
      `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

  - ### getDefaultInstance

    public static CommonProtos.HTTPExtension getDefaultInstance()

  - ### parser

    public static com.google.protobuf.Parser<CommonProtos.HTTPExtension> parser()

  - ### getParserForType

    public com.google.protobuf.Parser<CommonProtos.HTTPExtension> getParserForType()
    Specified by:
      `getParserForType` in interface `com.google.protobuf.Message`
    Specified by:
      `getParserForType` in interface `com.google.protobuf.MessageLite`
    Overrides:
      `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

  - ### getDefaultInstanceForType

    public CommonProtos.HTTPExtension getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`